<ion-content class="page-background">
  <ion-grid no-padding *ngIf="selectedSubject.name === '' ">
    <ion-row>
      <ion-col>
        <ion-card (click)="selectSubject('Physics')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/physics.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Physics
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col>
        <ion-card (click)="selectSubject('Programming')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/prog.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Programming
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-card (click)="selectSubject('Mathematics')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/maths.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Mathematics
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col>
        <ion-card (click)="selectSubject('Chemistry')" class="subject">
          <ion-card-header>
            <ion-img src="/assets/chemistry.png"></ion-img>
          </ion-card-header>
        </ion-card>
        <ion-row>
          <ion-col class="ion-text-center">
            Chemistry
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </ion-grid>
  <!-- <div
    class="progress"
    style="height: 10% ; border-radius: 10px; margin: 0 10px"
  >
    <div
      class="progress-bar bg-info"
      role="progressbar"
      style="width: 50%"
      aria-valuenow="50"
      aria-valuemin="0"
      aria-valuemax="100"
    ></div>
  </div> -->
  <!-- <ion-card>
    <ion-card-content>
      <ion-grid no-padding>
        <ion-row style="align-items: center ; vertical-align: middle">
          <ion-col size="auto">
            <ion-card-title>
              <ion-text color="primary">
                Subject
              </ion-text>
            </ion-card-title>
          </ion-col>
          <ion-col>
            <ion-select
              [(ngModel)]="selectedSubject"
              interface="popover"
              placeholder="Select subject"
            >
              <ion-select-option
                [value]="subject"
                *ngFor="let subject of subjects"
                >{{subject.name}}
              </ion-select-option>
            </ion-select>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-content>
  </ion-card> -->
  <ion-card *ngIf="selectedSubject.name !== '' ">
    <ion-card-header>
      <ion-card-title>
        <ion-text color="primary">
          {{selectedSubject.name}}
        </ion-text>
      </ion-card-title>
      <ion-card-subtitle>Description</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <ion-grid no-padding>
        <ion-row>
          <ion-col>
            {{selectedSubject.description}}
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-content>
  </ion-card>
  <ion-card *ngIf="selectedSubject.name !== '' ">
    <ion-card-header>
      <ion-card-title>
        <ion-text color="primary">
          Today's Lecture
        </ion-text>
      </ion-card-title>
    </ion-card-header>
    <ion-card-content>
      <ion-row>
        <ion-col (click)="playVideo()">
          <ion-img src="/assets/video.png"></ion-img>
          <!-- <ion-button (click)="playVideo()">
            <ion-icon slot="icon-only" name="add"></ion-icon>
          </ion-button> -->
        </ion-col>
      </ion-row>
    </ion-card-content>
  </ion-card>
</ion-content>
